Bug 21646 - Clean up Overdrive template
Summary: Clean up Overdrive template
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Templates (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Owen Leonard
QA Contact: Marcel de Rooy
URL: /cgi-bin/koha/admin/overdrive.pl
Keywords:
Depends on: 21607
Blocks: 20654
  Show dependency treegraph
 
Reported: 2018-10-24 14:30 UTC by Owen Leonard
Modified: 2019-04-01 14:03 UTC (History)
4 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 21646: Clean up Overdrive template (5.21 KB, patch)
2018-10-24 17:16 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21646: Clean up Overdrive template (5.68 KB, patch)
2019-03-25 14:03 UTC, Owen Leonard
Details | Diff | Splinter Review
Bug 21646: Clean up Overdrive template (5.73 KB, patch)
2019-03-25 15:11 UTC, Liz Rea
Details | Diff | Splinter Review
Bug 21646: Clean up Overdrive template (5.82 KB, patch)
2019-03-29 10:51 UTC, Marcel de Rooy
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2018-10-24 14:30:43 UTC
The overdrive administration template has several issues which need to be cleaned up:

- Bootstrap grid
- Markup corrections
Comment 1 Owen Leonard 2018-10-24 17:16:34 UTC
Created attachment 81079 [details] [review]
Bug 21646: Clean up Overdrive template

This patch modifies the OverDrive administration page to correct some
markup issues:

 - Switch to Bootstrap grid
 - Add missing header search box
 - Add missing DataTable configuration
 - Remove unnecessary fieldset
Comment 2 Owen Leonard 2019-03-25 14:03:21 UTC
Created attachment 86976 [details] [review]
Bug 21646: Clean up Overdrive template

This patch modifies the OverDrive administration page to correct some
markup issues:

 - Switch to Bootstrap grid
 - Add missing header search box
 - Add missing DataTable configuration
 - Remove unnecessary fieldset

To test you do not need to have OverDrive credentials. Apply the patch
and go to System preferences -> Enhanced content -> OverDrive. In the
description of the "OverDriveAuthName" preference, follow the link to
manage "individual branch authnames."

 - Confirm that the page looks correct, including the header search
   box, page title, and breadcrumbs
 - Confirm that the page adjusts well to various browser window sizes.
 - Confirm that the DataTable works correctly.
Comment 3 Liz Rea 2019-03-25 15:11:45 UTC
Created attachment 86982 [details] [review]
Bug 21646: Clean up Overdrive template

This patch modifies the OverDrive administration page to correct some
markup issues:

 - Switch to Bootstrap grid
 - Add missing header search box
 - Add missing DataTable configuration
 - Remove unnecessary fieldset

To test you do not need to have OverDrive credentials. Apply the patch
and go to System preferences -> Enhanced content -> OverDrive. In the
description of the "OverDriveAuthName" preference, follow the link to
manage "individual branch authnames."

 - Confirm that the page looks correct, including the header search
   box, page title, and breadcrumbs
 - Confirm that the page adjusts well to various browser window sizes.
 - Confirm that the DataTable works correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>
Comment 4 Marcel de Rooy 2019-03-29 10:49:28 UTC
OverDrive library authnames : Not the most appealing form title, I guess?
Comment 5 Marcel de Rooy 2019-03-29 10:51:02 UTC
Created attachment 87175 [details] [review]
Bug 21646: Clean up Overdrive template

This patch modifies the OverDrive administration page to correct some
markup issues:

 - Switch to Bootstrap grid
 - Add missing header search box
 - Add missing DataTable configuration
 - Remove unnecessary fieldset

To test you do not need to have OverDrive credentials. Apply the patch
and go to System preferences -> Enhanced content -> OverDrive. In the
description of the "OverDriveAuthName" preference, follow the link to
manage "individual branch authnames."

 - Confirm that the page looks correct, including the header search
   box, page title, and breadcrumbs
 - Confirm that the page adjusts well to various browser window sizes.
 - Confirm that the DataTable works correctly.

Signed-off-by: Liz Rea <wizzyrea@gmail.com>

Signed-off-by: Marcel de Rooy <m.de.rooy@rijksmuseum.nl>
Comment 6 Nick Clemens 2019-03-29 11:47:32 UTC
Awesome work all!

Pushed to master for 19.05
Comment 7 Martin Renvoize 2019-04-01 14:03:47 UTC
Enhancement, will not be backported to 18.11.x series.